\section{Conclusion and Future Work}

The increased availability of embedded \gls{iot} devices to a wider audience of developers and the increased mobility of such devices calls for more convenient debugging techniques.

In this paper, we report that wireless debugging techniques offer increased applicability and convenience at the price of increased efforts for energy budgeting under constrained circumstances (e.g., energy supply, compute capabilities, waste heat).
To overcome those burdens, readily available hardware and software modules require more adaptive instrumentation.

For instance, future research could focus on techniques to automatically select power states based on a configurable energy budget and control transmission timings accordingly.
